package com.reyun.dic;

/**
 * Created by zxy on 17/4/27.
 * 报表结果导出时候，需要根据不同功能进行不同的处理.枚举功能类型.
 */
public enum FunctionEnumType {

    FUNNEL("funnel","漏斗"),
    CUSTOMRETENTION("customretention","自定义留存"),
    DETAILCUSTOMRETENTION("detailcustomretention","自定义留存明细"),
    COMMONRETENTION("commonretention","固定留存"),
    EVENTSTATS("eventstats", "事件"),
    COMPLICATED_EVENTS("complicatedevents", "复杂事件"),
    REPORT("normal", "普通");

    private String key;
    private String value;

    FunctionEnumType(String key, String value) {
        this.key = key;
        this.value = value;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }
}
